POST /v1/blocks
Service: community · operationId: (none)
Required scopes
(no scope declared — review service config)
Request body
{
"type": "object",
"properties": {
"blocked_user_id": {
"type": "string",
"minLength": 1
},
"brand_id": {
"type": "string",
"minLength": 1
}
},
"required": [
"blocked_user_id",
"brand_id"
]
}Responses
201 User blocked
{
"type": "object",
"properties": {
"blocker_id": {
"type": "string"
},
"blocked_id": {
"type": "string"
},
"brand_id": {
"type": "string"
},
"created_at": {
"type": "string"
}
},
"required": [
"blocker_id",
"blocked_id",
"brand_id",
"created_at"
]
}400 Validation error
{
"type": "object",
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"error",
"message"
]
}Example
curl -X POST https://community.platform.loop.health/v1/blocks \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{ ... }'Related
services/community— service overview- All endpoints — directory across services
- Auth model — how scopes are enforced